/**
 * This example demonstrates how to create arrays
 * of objects in Java.
 */

public class ArraysOfObjects {

    public static void main(String[] args) {
        
        /* First, an array of int's (int's are not objects):
         */
        int[] iarr; // Create an array reference
        iarr = new int[5]; // Create the actual array instance
        
        iarr[2] = 42;
        for(int i = 0; i < iarr.length; i++) {
        	System.out.println("iarr[" + i + "] = " + iarr[i]);
        }
        
        /* An array of objects:
         */
        // Create an array reference
        Account[] accs; 
        // Create the actual array, containing (null) references
        accs = new Account[3]; 
        // Create the Account objects (!)
        accs[0] = new Account("Anders", 50000);
        accs[1] = new Account("Anna");
        accs[2] = new Account("Asta");
        
        for(int i = 0; i < accs.length; i++) {
        	System.out.println(accs[i].toString());
        }
    }
}
